xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::XMLObjectChildrenList< Container, _Ty > Class Template Reference

STL-compatible container that mediates access to underlying lists of typed XML children. More...

`#include <xmltooling/util/XMLObjectChildrenList.h>`

## Public Member Functions
| XMLObjectChildrenList (XMLObject *parent, Container &sublist, typename std::list< _Ty * > *backing, typename std::list< _Ty * >::iterator ins_fence)
| Constructor to expose a typed collection of children backed by a list of a base type.

## Detailed Description

template<class Container, class _Ty>
class xmltooling::XMLObjectChildrenList< Container, _Ty >

STL-compatible container that mediates access to underlying lists of typed XML children.

Parameters

  _Tx | the subtype container to encapsulate
  _Ty | the base type in the underlying list (defaults to XMLObject)

## Constructor & Destructor Documentation

## ◆ XMLObjectChildrenList()

template<class Container , class _Ty >

xmltooling::XMLObjectChildrenList< Container, _Ty >::XMLObjectChildrenList | ( | XMLObject * | parent,
|  | Container & | sublist,
|  | typename std::list< _Ty * > * | backing,
|  | typename std::list< _Ty * >::iterator | ins_fence )
| inline

Constructor to expose a typed collection of children backed by a list of a base type.

Parameters

  parent | parent object of the collection
  sublist | underlying container to expose
  backing | pointer to backing list for children, if any
  ins_fence | a marker designating where new children of this type should be added

The documentation for this class was generated from the following file:

- xmltooling/util/XMLObjectChildrenList.h